Bug 99577 - Rebuild of rpm fails with 'No rule to make target `@LTLIBOBJS@`'
Summary: Rebuild of rpm fails with 'No rule to make target `@LTLIBOBJS@`'
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: cyrus-sasl (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-21 22:30 UTC by S Torri
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 13:28:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description S Torri 2003-07-21 22:30:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
In the directory cyrus-sasl-2.1.15/cyrus-sasl-1.5.28/lib I get the make
file error of:

make[2]: *** No rule to make target `@LTLIBOBJS@', needed by `libsasl.la'. Stop.

In the Makefile.am for that directory the problem variable @LTLIBOBJS@ is being
used in:

libsasl_la_DEPENDENCIES = $(SASL_DB_BACKEND) @LTLIBOBJS@
libsasl_la_LIBADD = @LTLIBOBJS@ $(SASL_DB_BACKEND) $(SASL_DB_LIB) $(SASL_DL_LIB)
$(PLAIN_LIBS) $(LIB_SOCKET)

This autoconf variable, LTLIBOBJS, is not defined in the configure.in file nor
in the macro files. Its only used in cyrus-1.5.28/configure.in.autoconf25. Is
this file mean to replace the prexisting configure.in? It does not look like
your patches are getting applied correctly to the configure.in

I would double check the patches to the configure.in files. The Makefile.am
patches appear to be fine. I found a configure.in.autoconf25 and
configure.in.rpath in the cyrus-sasl-1.5.28 directory.


Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.15-1

How reproducible:
Always

Steps to Reproduce:
1. Download cyrus-sasl-2.1.15-1.src.rpm from rawhide directory
2. Rebuild via "rpmbuild --rebuild cyrus-sasl-2.1.15-1.src.rpm
3. Error will show itself in the cs version 1 directory.
    

Actual Results:  There is more output before this but I figured the error was
the important part.

make[2]: *** No rule to make target `@LTLIBOBJS@', needed by `libsasl.la'. Stop.

Expected Results:  The library compiled.

Additional info:

gcc-3.3
automake-1.6.3
autoconf-2.53-8
libtool-1.4.2-12.2

Comment 1 Bill Nottingham 2006-08-08 01:35:21 UTC
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.


Comment 2 Nalin Dahyabhai 2006-08-08 13:28:00 UTC
The current package in Raw Hide builds cleanly in mock, so I'm reasonably
certain that it's reproducible anywhere.  Closing.


Note You need to log in before you can comment on or make changes to this bug.